#!/bin/node
import fs from "fs";
import {fetchCalls} from "./data/pull.js";
import {generateCallManifest} from "./data/generateCallManifest.js";


await fetchCalls().then((results) => {
	const data = new Uint8Array(Buffer.from(JSON.stringify(results, null, 2)));
	fs.writeFile("calls.json", data, () => {
		console.log("Calls written to file")
	})
	generateCallManifest(results).then(() => (console.log("Manifest created")))


})



